HTMLErrorReporter (NekoHTML 1.9.21-SNAPSHOT Implementation)
Date: 2014-03-11

org.cyberneko.html

## Interface HTMLErrorReporter

- All Known Implementing Classes:
    HTMLConfiguration.ErrorReporter

      public interface HTMLErrorReporter

  Defines an error reporter for reporting HTML errors. There is no such thing as a fatal error in parsing HTML. I/O errors are fatal but should throw an `IOException` directly instead of reporting an error.

  When used in a configuration, the error reporter instance should be set as a property with the following property identifier:

       "http://cyberneko.org/html/internal/error-reporter" in the

  Components in the configuration can query the error reporter using this property identifier.

  Note: All reported errors are within the domain "http://cyberneko.org/html".

  Version:
    $Id: HTMLErrorReporter.java,v 1.4 2005/02/14 03:56:54 andyc Exp $
  Author:
    Andy Clark

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `formatMessage(java.lang.String key, java.lang.Object[] args)` Format message without reporting error.
    `void` | `reportError(java.lang.String key, java.lang.Object[] args)` Reports an error.
    `void` | `reportWarning(java.lang.String key, java.lang.Object[] args)` Reports a warning.

- - ### Method Detail

    - #### formatMessage

          java.lang.String formatMessage(java.lang.String key,
                                       java.lang.Object[] args)

      Format message without reporting error.

    - #### reportWarning

          void reportWarning(java.lang.String key,
                           java.lang.Object[] args)
                             throws XMLParseException

      Reports a warning.
      Throws:
        `XMLParseException`

    - #### reportError

          void reportError(java.lang.String key,
                         java.lang.Object[] args)
                           throws XMLParseException

      Reports an error.
      Throws:
        `XMLParseException`

(C) Copyright 2002-2014, Andy Clark, Marc Guillemot. All rights reserved.